/**
* Table of Contents:
*
* 01.0 - Global
* 02.0 - Header
* 03.0 - Drawer with menu
* 04.0 - Parallax styles
* 05.0 - Recent works
* 06.0 - Services
* 07.0 - Blog
* 08.0 - Testimonials
* 09.0 - Contact
* 10.0 - Footer
* 11.0 - Tools
* -----------------------------------------------------------------------------
*/


/* ///////////////////////////////////////////////////////////////////// 
//  01 - Global 
/////////////////////////////////////////////////////////////////////*/

* {outline: none !important;}

::selection {
	background-color: #475B6F;
	color: #fff;
}

html {
	-webkit-font-smoothing: antialiased;
	text-rendering: optimizeLegibility;
	-webkit-text-size-adjust: none;
	-ms-text-size-adjust: none;
	overflow-y: scroll;
}

body {
	color: #6a6a6a;	
	background: #f1f0f0;
}

p {margin: 0 0 20px 0;	}

img {max-width: 100%;}

a {
	text-decoration: none;
	outline: none;
}

a{	
	color: #4da7ca;
	-o-transition: all .4s;
	-ms-transition: all .4s;
	-moz-transition: all .4s;
	-webkit-transition: all .4s;
	transition: all .4s;
}

a:hover {
	color: #4290ae;	
}


h1, h2, h3, h4, h5, h6{		
	margin: 0 0 15px 0;	
	color: #3A4F52;
	font-family: 'Alegreya Sans';
}

.btn{border-radius: 0;}
.btn-o {
    border: 1px solid #3A4F52;
    color: #3A4F52;
}
.btn-o:hover {
    background: #3A4F52;
    color: white;
}
.btn.btn-o-white {
    border: 1px solid white;
    color: white;
    background: transparent;
}
.btn.btn-o-white:hover {
    background: white;
    color: #6a6a6a;
}

/*////////////////////////////////////////////////////////////////////////
//  02 - Header
///////////////////////////////////////////////////////////////////////*/

#header {	
	position: relative;
	padding: 0 !important;
}

#header.header-wrapper {
	/*background: url(../images/header-bg.jpg) no-repeat center center;*/
	background-size: cover;
	background : #4da7ca; /*#0099CC;*/
	display: table;
	height: 100vh;
	width: 100%;
	position: relative;
	z-index: 1;
	overflow-x: hidden; 
}

@media screen and (max-width: 767px) and (orientation: landscape) {
    #header.header-wrapper {
		height: auto;
		min-height: 100vh;
		padding: 0px; 
	} 
}

#header.header-wrapper .header-wrapper-inner {
    display: table-cell;
    text-align: center;
    vertical-align: middle; 
}

#header .top {
	position:fixed;
	top:0;
	width: 100%;
	padding: 15px;
	height: auto;
	z-index: 500;
	-o-transition: all .5s;
	-ms-transition: all .5s;
	-moz-transition: all .5s;
	-webkit-transition: all .5s;	
	transition: all .5s;		
}

#header .top.solid {
    background: #475B6F;
    padding-top: 15px;
    padding-bottom: 15px;
}

#header .top h1{
	margin-bottom: 0;
}
#header .top.solid .toggleDrawer i {
    padding-top: 8px;
}

#header .logo, #header .toggleDrawer{
	font-family: 'Alegreya SC';
	color: white;
}

#header .slogan{
	font-size: 4em;
	margin-bottom: 15px;
	line-height: 1em;
	font-family: 'Nixie One';
	color: white;
}

#header .secondary-slogan{
	font-size: 1.6em;
	line-height: 1em;
	text-align: center;
	font-family: 'Nixie One';
	color: white;
}

#header .bottom {
    bottom: 10%;
	display: block;
	position: absolute;
	width: 100%;
	z-index: 3;
}
#header .bottom a img {
    width: 50px;
}
#header .bottom a {
    opacity: 0.7;
}
#header .bottom a:hover {
    opacity: 1;
}

#header .btn.btn-link {
	text-decoration: none;
	color: #F8F8F8;
}
/*////////////////////////////////////////////////////////////////////////
//  03 - Drawer with menu
///////////////////////////////////////////////////////////////////////*/

#drawer-right {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    margin-right: -300px;
    background: #2B3E51;
    width: 300px;
    padding: 20px;
    z-index: 999;
}

#drawer-right h1, #drawer-right h2{color: white;}

#drawer-right .nav-pills>li>a {
	font-size: 18px;
	border-radius: 0;
	position: relative;
	display: block;
	padding: 10px 15px;
}

#drawer-right .social{margin-top: 30px}
#drawer-right .social ul {
    list-style: none;
    padding-left: 20px;
}
#drawer-right .social ul > li {
    display: inline-block;
}
#drawer-right .social ul > li > a:hover{
	color: white;
}

/* Customization bootstrap v5 */
#drawer-right .nav {
	display : block !important;
}

.text-right {
	text-align: right !important;
}

/*////////////////////////////////////////////////////////////////////////
//  04 - Parallax styles
///////////////////////////////////////////////////////////////////////*/

.content-block{
	background:transparent no-repeat center center fixed;
	-webkit-background-size:100%;
	-moz-background-size:100%;
	-o-background-size:100%;
	background-size:100%;
	background-size:cover;
	-webkit-background-size:cover;
	-moz-background-size:cover;
	-o-background-size:cover;
	overflow:hidden;
	padding-top: 80px;
}
.parallax{
	padding: 80px 0;
}

.block-body {
	margin-top: 60px;
}

#services {
	background-image: url(../images/traffic.jpg);
	color: white;
}
#parallax {
	background-image: url(../images/blue_mac2.jpg);
	color: white;
}
#contact {
	background-image: url(../images/newsletter-bg.png);
	color: white;
	background-color: #405162;
}
#parallax h1{
	margin-bottom: 60px;
	color: white;
}




/*////////////////////////////////////////////////////////////////////////
//  05 - Recent works
///////////////////////////////////////////////////////////////////////*/

.recent-work {
    width: 100%;
    padding-bottom: 24%;
    background: #C3C9CC;
    display: table;
    text-align: center;
    vertical-align: middle;
    padding-top: 24%;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    margin-bottom: 30px;
}

.recent-work span{
	margin-top: -18px;
	opacity: 0;
	position: relative;
	z-index: 1;
}
.recent-work:before {
    background: rgba(2, 56, 58, 0.7);
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    content: '';
    opacity: 0;
    -o-transition: all .2s;
	-ms-transition: all .2s;
	-moz-transition: all .2s;
	-webkit-transition: all .2s;
	transition: all .2s;
}
.recent-work:hover {
    background-size: 200%;
    background-position: center;
}
.recent-work:hover:before, .recent-work:hover span {
    opacity: 1;
}

#portfolio.portfolio-wrapper {
	background-size: cover;
	display: table;
	height: 100vh;
	width: 100%;
	position: relative;
	overflow-x: hidden; 
}



/*////////////////////////////////////////////////////////////////////////
//  06 - Services
///////////////////////////////////////////////////////////////////////*/

#services.service-wrapper {
	background-size: cover;
	display: table;
	height: 100vh;
	width: 100%;
	position: relative;
	/*z-index: 1;*/
	overflow-x: hidden; 
}

#services h1, #services h2{
	color: white;
}
.service i {
    font-size: 60px;
}
.service {
    padding: 0 25px;
}

#scecadctrl .row {
	display : flex !important;
}

.spec {
	font-size: 12px !important;
}


/*////////////////////////////////////////////////////////////////////////
//  07 - Blog
///////////////////////////////////////////////////////////////////////*/


#blog .blog-post img {
    margin-bottom: 20px;
}
#blog .date {
    margin-bottom: 15px;
    font-style: italic;
}


/*////////////////////////////////////////////////////////////////////////
//  08 - Testimonials
///////////////////////////////////////////////////////////////////////*/


#testimonials{
	text-align: center;
}
#testimonials .testimonial > img {
    border-radius: 100%;
    margin-bottom: 15px;
}
#testimonials .testimonial {
	padding: 25px;
}


/*////////////////////////////////////////////////////////////////////////
//  09 - Contact
///////////////////////////////////////////////////////////////////////*/


#contact{
	color: white;
}
#contact h1{color: white}

.form-control-white {
    background: transparent;
    color: white;
}

.form-control-white::-webkit-input-placeholder { /* WebKit browsers */
    color:    white;
}
.form-control-white:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color:    white;
    opacity:  1;
}
.form-control-white::-moz-placeholder { /* Mozilla Firefox 19+ */
    color:    white;
    opacity:  1;
}
.form-control-white:-ms-input-placeholder { /* Internet Explorer 10+ */
    color:    white;
}

.form-group {
	margin-bottom: 10px;
}


#contact.contact-wrapper {
	/*background: url(../images/header-bg.jpg) no-repeat center center;*/
	background-size: cover;
	display: table;
	height: 100vh;
	width: 100%;
	position: relative;
	overflow-x: hidden; 
}

/*////////////////////////////////////////////////////////////////////////
//  10 - Footer
///////////////////////////////////////////////////////////////////////*/

.bg-dark {
	background-color:#252525 !important
  }
  
  .footer {
	padding-top: 30px !important;
  }

.footer .btn.btn-link {
	background-color: ;
    display: block;
	margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #777777;
    font-weight: normal;
    /*text-transform: capitalize;*/
    transition: .3s;
	text-decoration: none !important;
}

.footer .btn.btn-link::before {
    position: relative;
    /*content: "\f105";
    font-family: "Font Awesome 5 Free";*/
    font-weight: 900;
    color: var(--primary);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .form-control {
    border-color: #777777;
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .copyright a:hover {
    color: var(--primary);
}

#footer .social ul > li {
    display: inline-block;
}
#footer .social ul > li > a:hover{
	color: white;
}

.text-light {
	color : #F8F8F8 !important
}

/*** Button ***/
.btn {
    font-weight: 500;
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-secondary {
    color: #FFFFFF;
	border : none;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.btn-outline-body {
    color: var(--primary);
    border-color: #777777;
}

.btn-outline-body:hover {
    color: #FFFFFF;
    background: var(--primary);
    border-color: var(--primary);
}

.back-to-top {
	background-color: #4da7ca;;
    position: fixed;
    display: block;
    right: 10px;
    bottom: 10px;
    z-index: 99;
}
/*////////////////////////////////////////////////////////////////////////
//  11 - Tools
///////////////////////////////////////////////////////////////////////*/
#tools.tools-wrapper {
	background-color: #FFFFFF;
	background-size: cover;
	display: table;
	height: 150px;
	width: 100%;
	position: relative;
	overflow-x: hidden; 
	padding-top : 30px !important;
	padding-bottom : 20px !important;
}

/* GLOBAL STYLES
 * Padding below the footer and lighter body text
* -------------------------------------------------- */

body {
	padding-bottom: 40px;
	color: #5a5a5a;
  }
  
  
  /* CUSTOMIZE THE NAVBAR
  -------------------------------------------------- */
  
  /* Special class on .container surrounding .navbar, used for positioning it into place. */
  .navbar-wrapper {
	position: absolute;
	top: 0;
	right: 0;
	left: 0;
	z-index: 20;
  }
  
  /* Flip around the padding for proper display in narrow viewports */
  .navbar-wrapper > .container {
	padding-right: 0;
	padding-left: 0;
  }
  .navbar-wrapper .navbar {
	padding-right: 15px;
	padding-left: 15px;
  }
  .navbar-wrapper .navbar .container {
	width: auto;
  }
  
  
  /* CUSTOMIZE THE CAROUSEL
  -------------------------------------------------- */
  
  /* Carousel base class */
  /*.carousel {
	height: 500px;
	margin-bottom: 30px;
  }*/
  /*.carousel-caption {
	z-index: 1; 
	 Since positioning the image, we need to help out the caption 
  }*/
  
  /* Declare heights because of positioning of img element */
  .carousel .item {
	height: 500px;
	background-color: transparent;
  }
  .carousel-inner > .item > img {
	position: absolute;
	top: 0;
	left: 0;
	min-width: 100%;
	height: 500px;
  }
  
  
  /* MARKETING CONTENT
  -------------------------------------------------- */
  
  /* Center align the text within the three columns below the carousel */
  .marketing .col-lg-4 {
	margin-bottom: 20px;
	text-align: center;
  }
  .marketing h2 {
	font-weight: 400;
  }
  .marketing .col-lg-4 p {
	margin-right: 10px;
	margin-left: 10px;
  }
  
  
  /* Featurettes
  ------------------------- */
  
  .featurette-divider {
	margin: 80px 0; /* Space out the Bootstrap <hr> more */
  }
  
  /* Thin out the marketing headings */
  .featurette-heading {
	font-weight: 300;
	line-height: 1;
	letter-spacing: -1px;
  }
  
  
  /* RESPONSIVE CSS
  -------------------------------------------------- */
  
  @media (min-width: 768px) {
	/* Navbar positioning foo */
	.navbar-wrapper {
	  margin-top: 20px;
	}
	.navbar-wrapper .container {
	  padding-right: 15px;
	  padding-left: 15px;
	}
	.navbar-wrapper .navbar {
	  padding-right: 0;
	  padding-left: 0;
	  border-radius: 4px; /* The navbar becomes detached from the top, so we round the corners */
	}
  
	/* Bump up size of carousel content */
	.carousel-caption p {
	  margin-bottom: 20px;
	  font-size: 21px;
	  line-height: 1.4;
	}
  
	.featurette-heading {
	  font-size: 50px;
	}
  }
  
  @media (min-width: 992px) {
	.featurette-heading {
	  margin-top: 120px;
	}
  }
  
/* 
Carroussel
-------------------------------------------------*/

.carousel-control {
    .glyphicon-chevron-left,
    .glyphicon-chevron-right,
    .icon-prev,
    .icon-next {
      color : #9b7907;
    }
}

.carousel-indicators {

  li {
    
    border: 1px solid #9b7907;
    background-color: #9b7907;
  }

  .active {
    background-color: #9b7907;
  }
}

.modal-lg {
	--bs-modal-width : 800px !important;
}

.spinner {
	position: fixed;
    display: block;
    right: 50%;
    bottom: 50%;
    z-index: 99;
  }
